Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVFormTypeType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVFormTypeType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVFormTypeType extends Object implements Serializable

Java class for ConsultChapterIVFormTypeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVFormTypeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
           </sequence>
           <attribute name="FormTypeId" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVFormTypeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFormTypeId()`
  Identifier for the form type.
  `ConsultChapterIVTextType`
  `getText()`
  Text describing the form type.
  `void`
  `setFormTypeId(int value)`
  Sets the value of the formTypeId property.
  `void`
  `setText(ConsultChapterIVTextType value)`
  Sets the value of the text property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVFormTypeType

    public ConsultChapterIVFormTypeType()

- ## Method Details

  - ### getText

    public ConsultChapterIVTextType getText()
    Text describing the form type.
    Returns:
      possible object is `ConsultChapterIVTextType`

  - ### setText

    public void setText(ConsultChapterIVTextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVTextType`
    See Also:
      - `getText()`

  - ### getFormTypeId

    public int getFormTypeId()
    Identifier for the form type. The ID is managed by the NIHDI/INAMI/RIZIV and NOT in the database SAM!

  - ### setFormTypeId

    public void setFormTypeId(int value)
    Sets the value of the formTypeId property.